Subject: WITCH HAZEL

From: Larry Lassiter <[email-masked]>
Date: Mon, 24 Jul 1995 10:08:49 -0700

Hello.  I has a witch hazel bush and was wondering about its use. Also, 
what part of the bush would one use?  And how would one prepare this 
part?  Any advice (including growing tips!) would be appreciated.  Thanks.